ACPIDALB(4) | Device Drivers Manual | ACPIDALB(4)

# NAME

`acpidalb` —
Direct Application Launch Buttons

# SYNOPSIS

`acpidalb* at acpi?`

# DESCRIPTION

This driver provides support for PNP0C32 ACPI hotkeys a.k.a. “The Direct Application Launch Buttons”.

These are recognized on startup from system-wake or at runtime. Behaviour may differ from the standard specification in relation to the ACPI implementation.

The hotkeys are reported to the power management daemon as hotkey_button.

# SEE ALSO

acpi(4), powerd(8)

The PNP0C32 specification is described in:

Microsoft Corporation, Direct Application Launch from System Startup on Windows Vista, http://www.microsoft.com/whdc/system/vista/DirAppLaunch.mspx, October 26, 2006.

# HISTORY

The `acpidalb` driver appeared in NetBSD 5.0.

# AUTHORS

This driver was written for NetBSD by Christoph Egger.

May 18, 2008 | NetBSD 10.1